Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision c65a265f903fc473c9bca504ea24f9bb02d98193)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision 4c3be25d8a666eaaf1edd8b30db518e151535fe6)
@@ -143,5 +143,4 @@
         self.theory_qmin_x = None
         self.theory_qmax_x = None
-        self.cb1 = None
         self.btEditMask = None
         self.btFit = None
@@ -1197,7 +1196,4 @@
         # set data, etc. from the state
         # reset page between theory and fitting from bookmarking
-        #if state.data == None:
-        #    data = None
-        #else:
         data = state.data
 
@@ -1225,10 +1221,4 @@
         self.disp_cb_dict = state.disp_cb_dict
         self.disp_list = state.disp_list
-
-        ## set the state of the radio box
-        #self.shape_rbutton.SetValue(state.shape_rbutton)
-        #self.shape_indep_rbutton.SetValue(state.shape_indep_rbutton)
-        #self.struct_rbutton.SetValue(state.struct_rbutton)
-        #self.plugin_rbutton.SetValue(state.plugin_rbutton)
 
         ## fill model combobox
@@ -1286,7 +1276,4 @@
             else:
                 self.model_view.SetLabel("1D Mode")
-
-        ## set the select all check box to the a given state
-        self.cb1.SetValue(state.cb1)
 
         ## reset state of checkbox,textcrtl  and  regular parameters value
@@ -1418,8 +1405,4 @@
                         except Exception:
                             logging.error(traceback.format_exc())
-
-        # Make sure the check box updated when all checked
-        if self.cb1.GetValue():
-            self.select_all_param(None)
 
     def _selectDlg(self):
@@ -2557,8 +2540,6 @@
                         item[2].Enable()
 
-            # Make sure the check box updated when all checked
-            if self.cb1.GetValue():
-                #self.select_all_param(None)
-                self.get_all_checked_params()
+            # Make sure the check box updated
+            self.get_all_checked_params()
 
             # update params
@@ -3715,8 +3696,4 @@
         call back for model selection if implemented
         """
-    def select_all_param(self, event):
-        """
-        set to true or false all checkBox if implemented
-        """
     def get_weight_flag(self):
         """
Index: src/sas/sasgui/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 6c382da7a67e14f0ad75317f0696ce771b802d39)
+++ src/sas/sasgui/perspectives/fitting/fitpage.py	(revision 4c3be25d8a666eaaf1edd8b30db518e151535fe6)
@@ -624,5 +624,5 @@
         ## fill a sizer with the combobox to select dispersion type
         model_disp = wx.StaticText(self, wx.ID_ANY, 'Function')
-        CHECK_STATE = self.cb1.GetValue()
+        CHECK_STATE = False
 
         ix = 0
@@ -969,5 +969,4 @@
         self.state.model = self.model.clone()
         ## save state into
-        self.state.cb1 = self.cb1.GetValue()
         self._copy_parameters_state(self.parameters, self.state.parameters)
         self._copy_parameters_state(self.orientation_params_disp,
@@ -980,5 +979,4 @@
                      StatusEvent(status=" Selected Distribution: Gaussian"))
         #Fill the list of fittable parameters
-        #self.select_all_param(event=None)
         self.get_all_checked_params()
         self.Layout()
@@ -2695,71 +2693,4 @@
         self._manager.set_param2fit(self.uid, param2fit)
 
-    def select_all_param(self, event):
-        """
-        set to true or false all checkBox given the main checkbox value cb1
-        """
-        self.param_toFit = []
-        if  self.parameters != []:
-            if  self.cb1.GetValue():
-                for item in self.parameters:
-                    if item[0].IsShown():
-                        ## for data2D select all to fit
-                        if self.data.__class__.__name__ == "Data2D" or \
-                                self.enable2D:
-                            item[0].SetValue(True)
-                            self.param_toFit.append(item)
-                        else:
-                            ## for 1D all parameters except orientation
-                            if not item in self.orientation_params:
-                                item[0].SetValue(True)
-                                self.param_toFit.append(item)
-                    else:
-                        item[0].SetValue(False)
-                #if len(self.fittable_param)>0:
-                for item in self.fittable_param:
-                    if item[0].IsShown():
-                        if self.data.__class__.__name__ == "Data2D" or \
-                                self.enable2D:
-                            item[0].SetValue(True)
-                            self.param_toFit.append(item)
-                            try:
-                                if len(self.values[item[1]]) > 0:
-                                    item[0].SetValue(False)
-                            except:
-                                pass
-
-                        else:
-                            ## for 1D all parameters except orientation
-                            if not item in self.orientation_params_disp:
-                                item[0].SetValue(True)
-                                self.param_toFit.append(item)
-                                try:
-                                    if len(self.values[item[1]]) > 0:
-                                        item[0].SetValue(False)
-                                except:
-                                    pass
-                    else:
-                        item[0].SetValue(False)
-
-            else:
-                for item in self.parameters:
-                    item[0].SetValue(False)
-                for item in self.fittable_param:
-                    item[0].SetValue(False)
-                self.param_toFit = []
-
-        self.save_current_state_fit()
-
-        if event != None:
-            #self._undo.Enable(True)
-            ## post state to fit panel
-            event = PageInfoEvent(page=self)
-            wx.PostEvent(self.parent, event)
-        param2fit = []
-        for item in self.param_toFit:
-            if item[0] and item[0].IsShown():
-                param2fit.append(item[1])
-        self.parent._manager.set_param2fit(self.uid, param2fit)
-
     def select_param(self, event):
         """
@@ -2808,10 +2739,4 @@
         if len(self.fittable_param) > 0:
             len_orient_para *= 2
-        #Set the value of checkbox that selected every checkbox or not
-        if len(self.parameters) + len(self.fittable_param) - len_orient_para \
-            == len(self.param_toFit):
-            self.cb1.SetValue(True)
-        else:
-            self.cb1.SetValue(False)
 
         self.save_current_state_fit()
@@ -2915,12 +2840,6 @@
         iy = 0
         ix = 0
-        select_text = "Select All"
-        self.cb1 = wx.CheckBox(self, wx.ID_ANY, str(select_text), (10, 10))
-        wx.EVT_CHECKBOX(self, self.cb1.GetId(), self.select_all_param)
-        self.cb1.SetToolTipString("To check/uncheck all the boxes below.")
-        self.cb1.SetValue(True)
-
-        sizer.Add(self.cb1, (iy, ix), (1, 1), \
-                             wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 5)
+        sizer.Add(wx.StaticText(self, wx.ID_ANY, 'Parameter'),
+                  (iy, ix), (1, 1), wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         ix += 1
         self.text2_2 = wx.StaticText(self, wx.ID_ANY, 'Value')
@@ -2949,5 +2868,5 @@
         self.text2_4.Hide()
 
-        CHECK_STATE = self.cb1.GetValue()
+        CHECK_STATE = False
         for item in keys:
 
Index: src/sas/sasgui/perspectives/fitting/media/plugin.rst
===================================================================
--- src/sas/sasgui/perspectives/fitting/media/plugin.rst	(revision cbbb6a465b6cb84cd0c143df039db2c3cb53adbe)
+++ src/sas/sasgui/perspectives/fitting/media/plugin.rst	(revision b2a38146949e24aa2e43a9cfc60a529e922707fc)
@@ -3,4 +3,6 @@
 Writing a Plugin Model
 ======================
+
+.. note:: If some code blocks are not readable, expand the documentation window
 
 Overview
